Bug 1014565 - swift error: HTTP/1.1 400 Bad Request
swift error: HTTP/1.1 400 Bad Request
Status: ASSIGNED
Product: Gluster-Swift
Classification: Community
Component: Proxy-server (Show other bugs)
1.9.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Adam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:01 EDT by jordi
Modified: 2016-11-08 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jordi 2013-10-02 07:01:23 EDT
Hi!
I'm trying to display container information, but it appears an error when I run the following command:
curl -v -X GET -H 'X-Auth-Token: AUTH_tk63c1aba472b24426a972ae33450f047a' http://46.165.255.5:443/v1/AUTH_test -k

* About to connect() to 46.165.255.5 port 443 (#0)
*   Trying 46.165.255.5... connected
> GET /v1/AUTH_test HTTP/1.1
> User-Agent: curl/7.22.0 (x86_64-pc-linux-gnu) libcurl/7.22.0 OpenSSL/1.0.1 zlib/1.2.3.4 libidn/1.23 librtmp/2.3
> Host: 46.165.252.5:443
> Accept: */*
> X-Auth-Token: AUTH_tk63c1aba472b24426a972ae33450f047a
>
< HTTP/1.1 400 Bad Request
< Content-Length: 38
< Content-Type: text/html; charset=UTF-8
< X-Trans-Id: tx70d345bc483944dbb2de5ae336eab03d
< Date: Wed, 02 Oct 2013 10:26:50 GMT
<
* Connection #0 to host 46.165.255.5 left intact
* Closing connection #0


I attach the .conf files and logs. As you can see, I use a mounted directory: /mnt/node0, because I can't make a partition.

thanks!


---
remakerings.sh
rm -f *.builder *.ring.gz backups/*.builder backups/*.ring.gz

swift-ring-builder object.builder create 10 3 1
swift-ring-builder object.builder add z1-46.165.255.5:6010/mnt/node0 1
swift-ring-builder object.builder rebalance
swift-ring-builder container.builder create 10 3 1
swift-ring-builder container.builder add z1-46.165.255.5:6011/mnt/node0 1
swift-ring-builder container.builder rebalance
swift-ring-builder account.builder create 10 3 1
swift-ring-builder account.builder add  z1-46.165.255.5:6012/mnt/node0 1
swift-ring-builder account.builder rebalance


-----
account-server.conf

[DEFAULT]
devices = /mnt/node0
mount_check = false
bind_port = 6012
user = root
log_facility = LOG_LOCAL2

[pipeline:main]
pipeline = account-server

[app:account-server]
use = egg:gluster_swift_ufo#account

[account-replicator]
vm_test_mode = yes

[account-auditor]

[account-reaper]


------
object-server.conf

[DEFAULT]
devices = /mnt/node0
mount_check = true
bind_port = 6010
user = root
log_facility = LOG_LOCAL2

[pipeline:main]
pipeline = object-server

[app:object-server]
use = egg:gluster_swift_ufo#object

[object-replicator]
vm_test_mode = yes

[object-updater]

[object-auditor]



-------
container-server.conf

DEFAULT]
devices = /mnt/node0
mount_check = false
bind_port = 6011
user = root
log_facility = LOG_LOCAL2

[pipeline:main]
pipeline = container-server

[app:container-server]
use = egg:gluster_swift_ufo#container

[container-replicator]
vm_test_mode = yes

[container-updater]

[container-auditor]

[container-sync]








-----
syslog:

12:30:26 NCSL007 account-replicator Beginning replication run
Oct  2 12:30:26 NCSL007 account-replicator Replication run OVER
Oct  2 12:30:26 NCSL007 account-replicator Attempted to replicate 0 dbs in 0.00083 seconds (0.00000/s)
Oct  2 12:30:26 NCSL007 account-replicator Removed 0 dbs
Oct  2 12:30:26 NCSL007 account-replicator 0 successes, 0 failures
Oct  2 12:30:26 NCSL007 account-replicator no_change:0 ts_repl:0 diff:0 rsync:0 diff_capped:0 hashmatch:0 empty:0
Oct  2 12:30:36 NCSL007 account-server 46.165.252.5 - - [02/Oct/2013:10:30:36 +0000] "GET /mnt/node0/221/AUTH_test" 400 38 "txc03a534cf7484d66934010109d3d05d1" "-" "curl/7.22.0 (x86_64-pc-linux-gnu) libcurl/7.22.0 OpenSSL/1.0.1 zlib/1.2.3.4 libidn/1.23 librtmp/2.3" 0.0002 ""
Oct  2 12:30:36 NCSL007 proxy-server 46.165.236.183 46.165.236.183 02/Oct/2013/10/30/36 GET /v1/AUTH_test HTTP/1.0 400 - curl/7.22.0%20%28x86_64-pc-linux-gnu%29%20libcurl/7.22.0%20OpenSSL/1.0.1%20zlib/1.2.3.4%20libidn/1.23%20librtmp/2.3 test%2CAUTH_tk63c1aba472b24426a972ae33450f047a - 38 - txc03a534cf7484d66934010109d3d05d1 - 0.0037 -
Oct  2 12:30:42 NCSL007 container-replicator Beginning replication run
Oct  2 12:30:42 NCSL007 container-replicator Replication run OVER
Oct  2 12:30:42 NCSL007 container-replicator Attempted to replicate 0 dbs in 0.00078 seconds (0.00000/s)
Oct  2 12:30:42 NCSL007 container-replicator Removed 0 dbs
Oct  2 12:30:42 NCSL007 container-replicator 0 successes, 0 failures
Oct  2 12:30:42 NCSL007 container-replicator no_change:0 ts_repl:0 diff:0 rsync:0 diff_capped:0 hashmatch:0 empty:0
Oct  2 12:30:46 NCSL007 account-replicator Beginning replication run
Oct  2 12:30:46 NCSL007 account-replicator Replication run OVER
Oct  2 12:30:46 NCSL007 account-replicator Attempted to replicate 0 dbs in 0.00077 seconds (0.00000/s)
Oct  2 12:30:46 NCSL007 account-replicator Removed 0 dbs
Oct  2 12:30:46 NCSL007 account-replicator 0 successes, 0 failures
Oct  2 12:30:46 NCSL007 account-replicator no_change:0 ts_repl:0 diff:0 rsync:0 diff_capped:0 hashmatch:0 empty:0
Oct  2 12:30:52 NCSL007 object-replicator Starting object replication pass.
Oct  2 12:30:52 NCSL007 object-replicator mnt/node0 is not mounted
Oct  2 12:30:52 NCSL007 object-replicator Nothing replicated for 0.000529050827026 seconds.
Oct  2 12:30:52 NCSL007 object-replicator Object replication complete. (0.00 minutes)
Comment 1 Luis Pabón 2013-10-02 07:15:12 EDT
Hi, a couple of things look strange to me.  First you are using swift-ring-builder instead of gluster-swift-gen-builders.  Second, OpenStack Swift's replicators are running when gluster-swift does not need them.

I am guessing you may not be using gluster-swift from http://launchpad.net/gluster-swift .

Please retry using the following document:  https://github.com/gluster/gluster-swift/blob/master/doc/markdown/quick_start_guide.md .
Comment 2 jordi 2013-10-03 04:44:53 EDT
Hi Luis!
I'm trying to install gluster-swift from the link you attached, but I can't do some steps because I'm working in Ubuntu and the Packages are RPM. In addition, when I try to convert to a .deb with Alien I get an error.
Is there any tutorial to install gluster-swift in Ubuntu?

Thanks!
Comment 3 Luis Pabón 2013-10-18 00:20:58 EDT
Hi,
 We do not have a .deb yet, but try these instructions:

First, you will need to install openstack-swift and python-pip, then you can install gluster-swift using the following steps:

$ wget https://launchpad.net/gluster-swift/grizzly/1.8.0-7/+download/gluster-swift-1.8.0-7.tar.gz
$ tar xzvf gluster-swift-1.8.0-7.tar.gz
$ sudo pip install -e gluster-swift-1.8.0-7
$ sudo mkdir /etc/swift
$ sudo cp gluster-swift-1.8.0-7/etc/* /etc/swift

Once it is installed you can continue following these instructions:
https://github.com/gluster/gluster-swift/blob/master/doc/markdown/quick_start_guide.md#configuration

Let me know how this works out for you.

- Luis

Note You need to log in before you can comment on or make changes to this bug.